<ion-header>
  <ion-toolbar color="danger">
    <ion-buttons>
      <ion-button position="float" icon-only color="light" [routerLink]="['/view-staff']" ><ion-icon name="close"></ion-icon></ion-button>
      <ion-title>Update Staff</ion-title>
    </ion-buttons>
  </ion-toolbar>
</ion-header>
 
<ion-content >
    <form #form="ngForm" (ngSubmit)="updateStaff(form)" method="post">
    <ion-list lines="inset" class="ion-no-margin ion-no-padding">
      <ion-list-header>
        Update the details of the staff:
      </ion-list-header>
      <ion-item>
        <ion-label position="stacked">Name</ion-label>
        <ion-input [(ngModel)]="staff.name"  name="name" placeholder="Enter name" required></ion-input>
      </ion-item>
  
      <ion-item>
        <ion-label position="stacked">Contact no.</ion-label>
        <ion-input [(ngModel)]="staff.contact_no" name="contact_no" placeholder="Enter contact no." required></ion-input>
      </ion-item>
  
      <ion-item>
        <ion-label position="stacked">Email address</ion-label>
        <ion-input [(ngModel)]="staff.secondary_email"  type="email" name="secondary_email" required placeholder="Enter email"></ion-input>
      </ion-item>
  
      <ion-item>
        <ion-label position="stacked">IC No.</ion-label>
        <ion-input [(ngModel)]="staff.IC"  name="IC" placeholder="Enter IC" required></ion-input>
      </ion-item>
  
      <ion-item>
        <ion-label position="floating">Date of Birth (DD-MM-YYYY)</ion-label>
        <ion-datetime [(ngModel)]="staff.DOB" name="DOB" displayFormat="DD-MM-YYYY"></ion-datetime>
      </ion-item>

      <ion-item>
        <ion-label position="stacked">Home address</ion-label>
        <ion-textarea [(ngModel)]="staff.home_address" name="home_address" rows="3" placeholder="Enter home address" required></ion-textarea>
      </ion-item>

      <ion-item>
        <ion-label position="stacked">Post Code</ion-label>
        <ion-input [(ngModel)]="staff.postcode" name="postcode" placeholder="Enter post code" required></ion-input>
      </ion-item>

      <ion-item>
        <ion-label>State</ion-label>
        <ion-select [(ngModel)]="staff.StateOB_id"  name="StateOB_id" okText="Okay" cancelText="Dismiss">
          <ion-select-option *ngFor="let item of selectInputOptions?.local_state_list" [value]="item._id" >{{item.name}}</ion-select-option>
        </ion-select>
      </ion-item>

      <ion-item>
        <ion-label>Nationality</ion-label>
        <ion-select  [(ngModel)]="staff.nation_id" name="nation_id" okText="Okay" cancelText="Dismiss">
          <ion-select-option *ngFor="let item of selectInputOptions?.nation_list" [value]="item._id">{{item.nation}}</ion-select-option>
        </ion-select>
      </ion-item>

      <ion-item>
        <ion-label>Gender</ion-label>
        <ion-select [(ngModel)]="staff.gender_id" name="gender_id" okText="Okay" cancelText="Dismiss">
          <ion-select-option *ngFor="let item of selectInputOptions?.gender_list" [value]="item._id">{{item.gender}}</ion-select-option>
        </ion-select>
      </ion-item>

      <ion-item>
        <ion-label>Religion</ion-label>
        <ion-select  [(ngModel)]="staff.religion_id" name="religion_id" okText="Okay" cancelText="Dismiss">
          <ion-select-option *ngFor="let item of selectInputOptions?.religion_list" [value]="item._id">{{item.name}}</ion-select-option>
        </ion-select>
      </ion-item>

      <ion-item>
        <ion-label>Race</ion-label>
        <ion-select  [(ngModel)]="staff.race_id" name="race_id" okText="Okay" cancelText="Dismiss">
          <ion-select-option *ngFor="let item of selectInputOptions?.race_list" [value]="item._id">{{item.name}}</ion-select-option>
        </ion-select>
      </ion-item>

      <ion-item>
        <ion-label>Marriage Status</ion-label>
        <ion-select [(ngModel)]="staff.marriage_status_id"  name="marriage_status_id" okText="Okay" cancelText="Dismiss">
          <ion-select-option *ngFor="let item of selectInputOptions?.marriage_status_list" [value]="item._id">{{item.status}}</ion-select-option>
        </ion-select>
      </ion-item>

      <ion-item>
        <ion-label>Employee Status</ion-label>
        <ion-select  [(ngModel)]="staff.employee_status_id" name="employee_status_id" okText="Okay" cancelText="Dismiss">
          <ion-select-option *ngFor="let item of selectInputOptions?.employee_status_list" [value]="item._id">{{item.status}}</ion-select-option>
        </ion-select>
      </ion-item>

      <ion-item>
        <ion-label>Position</ion-label>
        <ion-select  [(ngModel)]="staff.position_id"  name="position_id" okText="Okay" cancelText="Dismiss">
          <ion-select-option *ngFor="let item of selectInputOptions?.staff_position_list" [value]="item._id">{{item.gred + ' - ' + item.jawatan}}</ion-select-option>
        </ion-select>
      </ion-item>

      <ion-item>
        <ion-label>Department</ion-label>
        <ion-select  [(ngModel)]="staff.dept_id"  name="dept_id" okText="Okay" cancelText="Dismiss">
          <ion-select-option *ngFor="let item of selectInputOptions?.office_dept_list" [value]="item._id">{{item.pusat + ' - ' + item.bahagian}}</ion-select-option>
        </ion-select>
      </ion-item>

      <ion-item>
        <ion-label position="floating">Date Enter (DD-MM-YYYY)</ion-label>
        <ion-datetime  [(ngModel)]="staff.date_enter"  name="date_enter" displayFormat="DD-MM-YYYY" value="2020-05-03"></ion-datetime>
      </ion-item>

    </ion-list>
    <ion-button expand="block" type="submit" color="danger" class="ion-padding ion-margin">Confirm</ion-button>
    </form>
 </ion-content>
